For the complete documentation index, see llms.txt. This page is also available as Markdown.

In-place restore of a cluster.

Restore a MariaDB cluster from a backup.

Conditions:

  • The backup must belong to the MariaDB cluster to be restored.

  • The cluster must be in the state "AVAILABLE".

post
/clusters/{clusterId}/restore
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Body

Request payload to restore a cluster from a backup.

backupIdstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
recoveryTargetTimestring · date-timeOptional

The timestamp to which the cluster should be restored. If empty, the backup will be applied to the latest timestamp.

This value must be supplied as ISO 8601 timestamp, the backup will be replayed up until the given timestamp. If empty, the backup will be applied completely.

Must be within the earliestRecoveryTargetTime and now.

The earliestRecoveryTargetTime can be looked up in the backup object.

Example: 2020-12-10T13:37:50+01:00
Responses
202

Successful operation.

No content

post/clusters/{clusterId}/restore
POST /clusters/{clusterId}/restore HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 100

{
  "backupId": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "recoveryTargetTime": "2020-12-10T13:37:50+01:00"
}

No content

Last updated

Was this helpful?